<!DOCTYPE html>
<!--shell from http://htmlshell.com/-->
<html>
  <head>
    <meta charset="UTF-8">
    <title>To Do</title>
    <link rel="stylesheet" href="stylesheet.css" type="text/css">
  </head>
  <body>
    <h1>To Do</h1>
    <div class="app">
      <label>What is there to do?</label>
      <input type="text" id="inputToDo">
      <br>
      <button class="button" type="button" id="addElement" onclick="addElementToList(inputNewToDo.value); document.querySelector('input').value = ''" >Add element</button>
      <button class="button" type="button" id="exportToDos" onclick="exportList()" >Export To Dos</button>
      <button class="button" type="button" id="importToDos" onclick="openPopup()" >Import To Dos</button>
      <div class="import-popup" id="popup">
        <h1>Import To Dos from JSON file</h1>
        <input type="file" id="inputJsonFile" required>
        <p id="errorOutput"></p>
        <button class="button" type="button" id="doJsonImport" onclick="importToDos()">Submit</button>
        <button class="button cancel" type="button" id="cancelImport" onclick="closePopup()">Close</button>
      </div>
      <button class="button" type="button" id="deleteAll" onclick="deleteAll()" >Delete all</button>
      <ul id="outputList"></ul>
      <button class="button" type="button" id="openLoginFormButton" onclick="openLoginForm()" >Login</button>
      <form class="login-form" id="login-form">
        <h1>Login</h1>
        <label>User Name</label>
        <input type="text" id="inputExistingUserName">
        <label>Password</label>
        <input type="password" id="inputExistingPassword">
        <button class="button submit" type="submit" id="loginButton">Login</button>
        <button class="button" type="button" id="openNewUserButton" onclick="openNewUser()">Add New User</button>
        <div class="newUser-container" id="newUser-container">
          <label>User Name</label>
          <input type="text" id="inputNewUserName">
          <label>Password</label>
          <input type="password" id="inputNewPassword">
          <button class="button submit" type="submit" id="createNewUser">Create New User</button>
        </div>
        <button class="button cancel" type="button" id="cancelLogin" onclick="closeLoginForm()">Close</button>
      </form>
      <script src="main.js"></script>
    </div>
  </body>
</html>
